Search

See Resources

Security Alerts

Oracle Critical Patch Update Advisory - April 2017

Advisory Overview

Qualys® Vulnerability R&D Lab has released new vulnerability checks in the Qualys Cloud Platform to protect organizations against 44 vulnerabilities that were fixed in 7 bulletins announced today by Oracle. Customers can immediately audit their networks for these and other new vulnerabilities by accessing their Qualys subscription. Visit our blog to see how to prioritize remediation.

Non-Qualys customers can audit their network for these and other vulnerabilities by signing up for a Qualys Free Trial, or by trying our FreeScan service.

Vulnerability Details

Oracle has released 7 security bulletins to fix newly discovered flaws in their software. Qualys has released the following checks for these new vulnerabilities:

  • Oracle Solaris 10 Critical Patch Update Multiple Vulnerabilities (CPUAPR2017) Shadow Brokers (EXTREMEPARR)

    Severity
    Critical 4
    Qualys ID
    296010
    Vendor Reference
    Oracle Solaris CPU April 2017
    CVE Reference
    CVE-2017-3622
    CVSS Scores
    Base 7.2 / Temporal 5.3
    Description
    Multiple vulnerabilities affecting Oracle Solaris 10 could allow malicious users to compromise the confidentiality, integrity or availability of the targeted system.

    Oracle has released Solaris 10 patches required to resolve the vulnerabilities listed on the April 2017 CPU.

    Affected Versions:
    Solaris 10 on x86 and SPARC platforms is affected.

    UPDATE: Oracle had earlier released Interim Fixes IDR152718 (for x86) and IDR152719 (for sparc) and recently has released Long-Term Patch 152649-02 (for sparc) and 152650-02 (for x86). Customers should apply Long-term Patch 152649-02 (for sparc) or 152650-02 (for x86) to fully remediate the vulnerability.

    QID Detection Logic (Authenticated):
    Operating Systems: Oracle Solaris 10
    The QID checks if long-term patch 152649-02 (for sparc) or 152650-02 (for x86) has been applied on the target which has package "SUNWdtdte" installed. The QID also checks if interim fixes IDR152718 (for x86) or IDR152719 (for sparc) have been applied on the target or not.

    Consequence
    Successful exploitation could allow an attacker to compromise a vulnerable system.

    Solution
    Customers should apply Long-term Patch 152649-02 (for sparc) or 152650-02 (for x86) to fully remediate the vulnerability. Refer to Oracle CPU April 2017 to address this issue and obtain more information.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Critical Patch Update Advisory - April 2017 Solaris 10

  • Solaris 11.3 Support Repository Update (SRU) 19.5.0 Missing

    Severity
    Critical 4
    Qualys ID
    296009
    Vendor Reference
    Oracle Solaris 11.3 SRU 19.5.0
    CVE Reference
    CVE-2017-3474, CVE-2017-3497, CVE-2017-3498, CVE-2017-3510, CVE-2017-3516, CVE-2017-3551, CVE-2017-3564, CVE-2017-3565
    CVSS Scores
    Base 7.5 / Temporal 5.5
    Description
    The target does not have Solaris 11.3 SRU 19.5.0 applied. The Support Repository Updates provide patch bundles/updates that primarily contain bug fixes.
    Consequence
    Exploitation could allow an attacker to compromise a vulnerable system.
    Solution
    Apply Solaris 11.3 SRU 19.5.0 . Refer to Oracle Solaris 11.3 Support Repository Updates (SRU) Index for more information.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Solaris 11.3 SRU 19.5.0 Solaris 11.3

  • Oracle Java SE Critical Patch Update - April 2017

    Severity
    Urgent 5
    Qualys ID
    370371
    Vendor Reference
    Oracle Java SE CPU April 2017
    CVE Reference
    CVE-2017-3509, CVE-2017-3511, CVE-2017-3512, CVE-2017-3514, CVE-2017-3526, CVE-2017-3533, CVE-2017-3539, CVE-2017-3544
    CVSS Scores
    Base 5.1 / Temporal 3.8
    Description
    Java Runtime Environment (JRE) is a platform that supports the execution of programs that are developed using the Java programming language. The JRE platform also supports Java Applets, which can be loaded from Web pages.

    JRE and JDK are exposed to multiple vulnerabilities that affect various components. Oracle's Java Critical Patch Update for April 2017 contains 8 new security fixes across multiple Java SE products and sub-products.

    Affected Versions:
    Oracle Java JDK and JRE, versions 6u141 and earlier, 7u131 and earlier, 8u121 and earlier.

    Consequence
    Exploitation could allow an attacker to take complete control of an affected system.
    Solution
    The vendor released updates (Java SE JDK and JRE 8 Update 131 or later, Java SE JDK and JRE 7 Update 141, Java SE JDK and JRE 6 Update 151) to resolve these issues.

    Refer to vendor advisory Oracle Java SE CPU April 2017 and Oracle Doc ID 2253297.1 to obtain more details.

    Updates for Java 5, Java 6 and Java 7 are no longer available to the public. Oracle offers updates to Java 5 and Java 6 only for customers who have purchased Java support or have Oracle products that require Java 5, Java 6 and Java 7.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle Doc ID 2253297.1

  • Oracle MySQL April 2017 Critical Patch Update (CPUAPR2017)

    Severity
    Critical 4
    Qualys ID
    20037
    Vendor Reference
    MySQL CPU April 2017
    CVE Reference
    CVE-2017-3302, CVE-2017-3305, CVE-2017-3308, CVE-2017-3309, CVE-2017-3329, CVE-2017-3331, CVE-2017-3450, CVE-2017-3452, CVE-2017-3453, CVE-2017-3454, CVE-2017-3455, CVE-2017-3456, CVE-2017-3457, CVE-2017-3458, CVE-2017-3459, CVE-2017-3460, CVE-2017-3461, CVE-2017-3462, CVE-2017-3463, CVE-2017-3464, CVE-2017-3465, CVE-2017-3467, CVE-2017-3468, CVE-2017-3599, CVE-2017-3600
    CVSS Scores
    Base 6.3 / Temporal 4.9
    Description
    This Critical Patch Update contains 25 new security fixes for Oracle MySQL.

    Affected Versions:
    MySQL Server, versions 5.5.54 and prior, 5.6.35 and prior, 5.7.17 and prior

    Consequence
    Successful exploitation could allow an attacker to affect the confidentiality, integrity and availability of data on the target system.
    Solution
    Refer to vendor advisory Oracle MySQL April 2017.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    Oracle MySQL April 2017

  • Oracle Database April 2017 Security Update Multiple Vulnerabilities (CPUAPR2017)

    Severity
    Critical 4
    Qualys ID
    20036
    Vendor Reference
    CPUAPR2017
    CVE Reference
    CVE-2017-3486, CVE-2017-3567
    CVSS Scores
    Base 3.7 / Temporal 2.7
    Description
    Oracle released a Critical Patch Update advisory for April 2017 that addresses several security vulnerabilities.

    The following Oracle database component are affected:
    - OSQL*Plus
    - OJVM

    Consequence
    An attacker could affect the confidentiality, integrity and availability of data on the target system.

    Solution
    Oracle recommends that customers upgrade to the latest supported version of Oracle products in order to obtain the patches.
    Read Oracle Critical Patch Update Advisory - April 2017 for further information about the products affected and issues addressed.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    CPUAPR2017 Oracle Database (Database)

  • Oracle Database April 2017 Patch Set Update (PSU) 11.2.0.4.170418 Not Installed (Patch 25440428)

    Severity
    Critical 4
    Qualys ID
    20035
    Vendor Reference
    CPUAPR2017
    CVE Reference
    CVE-2017-3486, CVE-2017-3567
    CVSS Scores
    Base 3.7 / Temporal 2.7
    Description
    Oracle Database Patch Set Updates are proactive cumulative patches containing recommended bug fixes that are released on a regular schedule.

    Affected Software:
    Oracle Database 11.2.0.4

    Consequence
    Failure to apply this patch could lead to loss of the integrity of the database.
    Solution
    Customers are requested to refer to CPUAPR2017 to obtain details about how to deploy the update.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    CPUAPR2017

  • Oracle Database April 2017 Patch Set Update (PSU) 12.1.0.2.170418 Not Installed (Patch 25171037)

    Severity
    Critical 4
    Qualys ID
    20034
    Vendor Reference
    CPUAPR2017
    CVE Reference
    CVE-2017-3486, CVE-2017-3567
    CVSS Scores
    Base 3.7 / Temporal 2.7
    Description
    Oracle Database Patch Set Updates are proactive cumulative patches containing recommended bug fixes that are released on a regular schedule.

    Affected Software:
    Oracle Database 12.1.0.2

    Consequence
    Failure to apply this patch could lead to loss of the integrity of the database.
    Solution
    Customers are requested to refer to CPUAPR2017 to obtain details about how to deploy the update.

    Patches:
    The following are links for downloading patches to fix these vulnerabilities:
    CPUAPR2017

These new vulnerability checks are included in Qualys vulnerability signature 2.4.21-3. Each Qualys account is automatically updated with the latest vulnerability signatures as they become available. To view the vulnerability signature version in your account, from the Qualys Help menu, select the About tab.

Selective Scan Instructions Using Qualys

To perform a selective vulnerability scan, configure a scan profile to use the following options:

  1. Ensure access to TCP ports 135 and 139 are available.
  2. Enable Windows Authentication (specify Authentication Records).
  3. Enable the following Qualys IDs:
    • 296010
    • 296009
    • 370371
    • 20037
    • 20036
    • 20035
    • 20034
  4. If you would like the scan to return the Windows Hostname, also include QID 82044 and ensure access to UDP port 137 is available.
  5. If you would like to be notified if Qualys is unable to log on to a host (if Authentication fails), also include QID 105015.

In addition, prior to running a scan for these new vulnerabilities, you can estimate your exposure to these new threats by running the Risk Analysis Report, available from the Qualys Vulnerability Management Reports tab.

Technical Support

For more information, customers may contact Qualys Technical Support.

About Qualys

The Qualys Cloud Platform and its integrated suite of security and compliance applications provides organizations of all sizes with a global view of their security and compliance solutions, while drastically reducing their total cost of ownership. Qualys solutions include: continuous monitoring, vulnerability management, policy compliance, PCI compliance, security assessment questionnaire, web application scanning, web application firewall, malware detection and SECURE Seal for security testing of web sites.

Email or call us at +1 800 745 4355 or try our Global Contacts
Subscription Packages
Qualys Solutions
Qualys Community
Company
Free Trial & Tools
Popular Topics